Canvas5Structure.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <set>`
`#include <vector>`
`#include "MWAWStringStream.hxx"`
`#include "MWAWPictBitmap.hxx"`
`#include "Canvas5Structure.hxx"`

## Classes
struct | Canvas5Structure::UnpackDecoder
| a basic Unpack decoder More...
struct | Canvas5Structure::NIBDecoder
| a basic NIB decoder More...
struct | Canvas5Structure::LWZDecoder
| a basic LWZ decoder More...
struct | Canvas5Structure::LWZDecoder::LWZEntry

## Namespaces
namespace | Canvas5Structure
| a namespace used to define basic function or structure to read a Canvas v5-v11 file

## Functions
std::string | Canvas5Structure::getString (unsigned val)
| very low level: debug print some uint32_t either at char4 or sample int
bool | Canvas5Structure::readBitmap (Stream &stream, int version, MWAWEmbeddedObject &object, MWAWColor *avgColor=nullptr)
| try to read a bitmap(low level)
bool | Canvas5Structure::readBitmapDAD58Bim (Stream &stream, int version, MWAWEmbeddedObject &object)
| try to read a bitmap followed by DAD5 and 8BIM zones
bool | Canvas5Structure::readPreview (Canvas5Structure::Stream &stream, bool hasPreviewBitmap)
| try to read the preview bitmap
bool | Canvas5Structure::decodeZone5 (MWAWInputStreamPtr input, long endPos, int type, unsigned long finalLength, std::shared_ptr< MWAWStringStream > &stream)
| try to decode a zone v5-v6